> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get login methods

> Returns the login methods for the organization.



## OpenAPI

````yaml /api/global-accounts/openapi.json get /organizations/my/login_methods
openapi: 3.0.0
info:
  title: Global Accounts API
  description: >-
    API used to manage Organizations and Accounts for multiple products. Also
    responsible for authorization and authentication processes.
  version: 2.0.0
servers:
  - url: https://accounts.livechat.com/v2
    description: Main production server URL
security: []
paths:
  /organizations/my/login_methods:
    get:
      tags:
        - OrganizationLoginMethods
      summary: Get login methods
      description: Returns the login methods for the organization.
      parameters: []
      responses:
        '200':
          description: 'OK: Returns organization login methods.'
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    login_method:
                      description: The login method object.
                      type: object
                      properties:
                        login_method:
                          type: string
                          description: The login method enforced for the organization.
                          enum:
                            - google
                            - microsoft
                            - saml
                    organization_id:
                      type: string
                      format: uuid
                      description: The organization ID.
              example:
                - login_method:
                    login_method: google
                  organization_id: b2185556-634c-4ecf-b4c9-bcf8b65bc853
        '500':
          description: Server Error.
          content:
            application/json:
              schema:
                allOf:
                  - description: The default error object.
                    type: object
                    properties:
                      error:
                        description: The error code.
                        type: string
                        enum:
                          - bad_request
                          - invalid_request
                          - unauthorized_client
                          - unauthorized
                          - access_denied
                          - unsupported_response_type
                          - invalid_scope
                          - server_error
                          - temporarily_unavailable
                          - unsupported_grant_type
                          - invalid_grant
                          - invalid_client
                          - conflict
                          - resource_not_found
                          - join_link_expired
                          - traffic_blocked
                          - not_implemented
                      error_description:
                        type: string
                      sub_error:
                        description: The error subcode.
                        type: string
                        nullable: true
                      request_id:
                        description: Unique request identifier.
                        type: string
                        format: uuid
                  - type: object
                    properties:
                      error:
                        type: string
                      error_description:
                        type: string
              example:
                error: server_error
                error_description: >-
                  The server encountered an unexpected condition that prevented
                  it from fulfilling the request.
                request_id: 5903c51b-89f0-41a9-a25d-4f39af100353
      security:
        - OAuth2BearerToken: []
components:
  securitySchemes:
    OAuth2BearerToken:
      description: >-
        This API uses OAuth2 with the implicit grant flow. <a
        href="/authentication/oauth-authorization#implicit-grant">Learn about
        the implicit grant flow.</a>
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://accounts.livechat.com
          scopes: {}
        authorizationCode:
          authorizationUrl: https://accounts.livechat.com
          tokenUrl: https://accounts.livechat.com/token
          scopes: {}

````